void vs_main(
  float4 inPosition : POSITION,
  float4 inColor : COLOR0,
  out float4 outPosition : POSITION,
  out float4 outColor : COLOR0,
  uniform float4x4 orthogonalProjection
)
{
  outPosition = mul(orthogonalProjection, inPosition);
  outColor = inColor;
}

void ps_main(
  float4 inColor : COLOR0,
  out float4 outColor : COLOR
)
{
  outColor = inColor;
}
